Updated version of QualysGuard helps users meet new PCI DSS requirements

News by SC Staff

Qualys has announced the launch of the latest version of QualysGuard to introduce means to meet the latest Payment Card Industry Data Security Standard (PCI DSS) compliance requirements.

Qualys has announced the launch of the latest version of QualysGuard to introduce means to meet the latest Payment Card Industry Data Security Standard (PCI DSS) compliance requirements.

According to the company, following the publication of the revised PCI DSS standard, QualysGuard PCI 5.0 includes a simplified user interface with workflows to help customers easily and accurately detect security vulnerabilities and efficiently remediate issues for PCI compliance. It also includes approved scanning vendor requirements that were released in March this year.

It includes a wizard-driven user interface that guides customers through answering the self-assessment questionnaire, running compliance scans, remediating network and web application vulnerabilities and documenting proof of compliance for online submission to acquiring banks.

Philippe Courtot, chairman and CEO of Qualys, said: “With the growing number of financial transactions on the internet and increasing attempts to steal credit card data, achieving PCI DSS compliance has become vital to ensure the protection of credit card data.

“However, it can be a challenging task as the PCI Standards Security Council continues to add new requirements to address the new attacks. This new release raises the bar in terms of ease of use and interactivity while fully supporting the new PCI DSS requirements.”

Topics:

Find this article useful?

Get more great articles like this in your inbox every lunchtime

Upcoming Events